Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167015 - NullPointerException at org.netbeans.editor.BaseCaret.mouseClicked
NullPointerException at org.netbeans.editor.BaseCaret.mouseClicked
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 23:10 UTC by silhanek
Modified: 2009-07-16 13:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.84 KB, text/plain)
2009-06-12 23:10 UTC, silhanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description silhanek 2009-06-12 23:10:24 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904242137)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments:
silhanek: I looked up sources (by find in all open projects) containing specified string to change this string. When I could edit source file this exception appeared. Project is a directory with Suite and modules at the same level (modules are not in the suite project directory) and this edited file is in directory spec that is not oficial directory of any project.

GUEST: editing a YML file, double clicking on a word (identifier) to select it, then it happened



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.editor.BaseCaret.mouseClicked(BaseCaret.java:1239)
        at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:253)
        at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:252)
        at java.awt.Component.processMouseEvent(Component.java:6137)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3265)
        at java.awt.Component.processEvent(Component.java:5899)
Comment 1 silhanek 2009-06-12 23:10:40 UTC
Created attachment 83524 [details]
stacktrace
Comment 2 Miloslav Metelka 2009-06-15 14:32:07 UTC
Looks like the particular editor kit (for YML) is missing selectWordAction. I've added a check for that.
http://hg.netbeans.org/jet-main/rev/87a785bfe59c
Comment 3 Quality Engineering 2009-06-16 19:14:46 UTC
Integrated into 'main-golden', will be available in build *200906161401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/87a785bfe59c
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #167015 - NullPointerException at org.netbeans.editor.BaseCaret.mouseClicked.
Comment 4 silhanek 2009-06-17 06:04:25 UTC
Hi, can I try it in 6.7 RC3 release? I have small notebook and disk to try build full NetBeans from mercurial main gold.
Comment 5 Max Sauer 2009-06-17 09:36:46 UTC
No, it's in trunk. You can download builds from here:
---
http://bits.netbeans.org/download/trunk/nightly/latest/
Comment 6 silhanek 2009-06-18 05:44:53 UTC
DONE, it works OK in this build. Thanks. Milos
Comment 7 Petr Blaha 2009-07-02 13:26:16 UTC
Marking as verified based on reporter's feedback.
Comment 8 pgebauer 2009-07-07 14:33:05 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/d9c6f64f1d03
Comment 9 Jiri Prox 2009-07-16 13:32:24 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo